object OptionsDialog: TOptionsDialog
  Left = 0
  Top = 0
  Caption = 'Conversion Pack - Options'
  ClientHeight = 403
  ClientWidth = 515
  Color = clBtnFace
  Constraints.MinHeight = 414
  Constraints.MinWidth = 531
  Font.Charset = DEFAULT_CHARSET
  Font.Color = clWindowText
  Font.Height = -12
  Font.Name = 'Segoe UI'
  Font.Style = []
  OldCreateOrder = False
  ShowHint = True
  OnCreate = FormCreate
  DesignSize = (
    515
    403)
  PixelsPerInch = 96
  TextHeight = 15
  object CancelButton: TButton
    Left = 344
    Top = 370
    Width = 75
    Height = 25
    Anchors = [akRight, akBottom]
    Caption = 'Cancel'
    ModalResult = 2
    TabOrder = 0
    OnClick = CancelButtonClick
  end
  object OkButton: TButton
    Left = 263
    Top = 370
    Width = 75
    Height = 25
    Anchors = [akRight, akBottom]
    Caption = 'OK'
    ModalResult = 1
    TabOrder = 1
    OnClick = OkButtonClick
  end
  object HelpButton: TButton
    Left = 425
    Top = 370
    Width = 75
    Height = 25
    Anchors = [akRight, akBottom]
    Caption = 'Help'
    TabOrder = 2
  end
  object PageControl: TPageControl
    Left = 8
    Top = 8
    Width = 499
    Height = 356
    ActivePage = MacrosPage
    Anchors = [akLeft, akTop, akRight, akBottom]
    TabOrder = 3
    object MacrosPage: TTabSheet
      Caption = 'Macros'
      ImageIndex = 3
      inline MacrosFrame: TValueListFrame
        Left = 0
        Top = 0
        Width = 491
        Height = 326
        Align = alClient
        TabOrder = 0
        ExplicitHeight = 326
        inherited ExplanationLabel: TLabel
          Caption = 
            'Enter the macro name in the left column and the text that should' +
            ' be substituted for it in the right one. Macro names must be uni' +
            'que. The replacement text can contain other macros. These will b' +
            'e resolved recursively. If a macro is empty, put a # in the righ' +
            't column.'
        end
        inherited CaptionLabel: TLabel
          Caption = 'Macros and their replacement texts'
        end
        inherited ValueList: TValueListEditor
          Height = 227
          TitleCaptions.Strings = (
            'Macro'
            'Replacement text')
          ExplicitHeight = 227
        end
      end
    end
    object TypesPage: TTabSheet
      Caption = 'Known types'
      ImageIndex = 3
      inline TypesFrame: TValueListFrame
        Left = 0
        Top = 0
        Width = 491
        Height = 326
        Align = alClient
        TabOrder = 0
        ExplicitHeight = 326
        inherited ExplanationLabel: TLabel
          Caption = 
            'Enter the original type name in the left column, followed by a *' +
            ' for each level of pointer. For C keywords like int or char, use' +
            ' the Delphi equivalents . Put the replacement type in the right ' +
            'column. '
        end
        inherited CaptionLabel: TLabel
          Caption = 'Replace C/C++ types with Delphi types:'
        end
        inherited ValueList: TValueListEditor
          Height = 227
          TitleCaptions.Strings = (
            'C/C++ type'
            'Delphi type')
          ExplicitHeight = 227
        end
      end
    end
    object OutputPage: TTabSheet
      Caption = 'Output'
      ImageIndex = 3
      object GeneralCaption: TLabel
        Left = 3
        Top = 14
        Width = 44
        Height = 15
        Caption = 'General'
        Font.Charset = DEFAULT_CHARSET
        Font.Color = clWindowText
        Font.Height = -12
        Font.Name = 'Segoe UI'
        Font.Style = [fsBold]
        ParentFont = False
      end
      object TypedefsCaption: TLabel
        Left = 3
        Top = 106
        Width = 51
        Height = 15
        Caption = 'Typedefs'
        Font.Charset = DEFAULT_CHARSET
        Font.Color = clWindowText
        Font.Height = -12
        Font.Name = 'Segoe UI'
        Font.Style = [fsBold]
        ParentFont = False
      end
      object FunctionsCaption: TLabel
        Left = 3
        Top = 175
        Width = 53
        Height = 15
        Caption = 'Functions'
        Font.Charset = DEFAULT_CHARSET
        Font.Color = clWindowText
        Font.Height = -12
        Font.Name = 'Segoe UI'
        Font.Style = [fsBold]
        ParentFont = False
      end
      object MacroFunctionsCaption: TLabel
        Left = 3
        Top = 267
        Width = 90
        Height = 15
        Caption = 'Macro functions'
        Font.Charset = DEFAULT_CHARSET
        Font.Color = clWindowText
        Font.Height = -12
        Font.Name = 'Segoe UI'
        Font.Style = [fsBold]
        ParentFont = False
      end
      object KeepOriginalCheck: TCheckBox
        Left = 129
        Top = 14
        Width = 320
        Height = 17
        Hint = 'Check if you want the commented out original code removed'
        Caption = 'Keep original declarations (commented out)'
        TabOrder = 0
        OnClick = KeepOriginalCheckClick
      end
      object ConvertToConstCheck: TCheckBox
        Left = 129
        Top = 106
        Width = 320
        Height = 17
        Hint = 'Check if you want to have enums converted to constants'
        Caption = 'Convert enums to constants'
        TabOrder = 1
        OnClick = ConvertToConstCheckClick
      end
      object GenerateExternalsymCheck: TCheckBox
        Left = 129
        Top = 37
        Width = 320
        Height = 17
        Hint = 
          'Check if you want {$EXTERNALSYM} directives generated for conver' +
          'ted types'
        Caption = 'Generate {$EXTERNALSYM} directives'
        Checked = True
        State = cbChecked
        TabOrder = 2
        OnClick = GenerateExternalsymCheckClick
      end
      object GeneratePrettyNamesCheck: TCheckBox
        Left = 129
        Top = 60
        Width = 320
        Height = 17
        Hint = 
          'Check if you want pretty names and pointers (e.g. "TTypeName" an' +
          'd "PTypeName") generated'
        Caption = 'Generate pretty type names and pointers'
        Checked = True
        State = cbChecked
        TabOrder = 3
        OnClick = GeneratePrettyNamesCheckClick
      end
      object PreferVarParametersCheck: TCheckBox
        Left = 129
        Top = 175
        Width = 320
        Height = 17
        Hint = 'Check if you prefer "var A: Pointer" over "A: PPointer".'
        Caption = 'Prefer var parameters over pointer types'
        Checked = True
        State = cbChecked
        TabOrder = 4
        OnClick = PreferVarParametersCheckClick
      end
      object GenerateBorlandStyleCheck: TCheckBox
        Left = 129
        Top = 221
        Width = 320
        Height = 17
        Hint = 
          'Check if you want to make all parameters line up behind each oth' +
          'er, only wrapping if the right margin is reached.'
        Caption = 'Generate Borland-style function declarations'
        TabOrder = 5
        OnClick = GenerateBorlandStyleCheckClick
      end
      object ConvertToVariantCheck: TCheckBox
        Left = 129
        Top = 129
        Width = 320
        Height = 17
        Hint = 
          'Check if you want to have unions converted to named variant reco' +
          'rds'
        Caption = 'Convert unions to named variant records'
        TabOrder = 6
        OnClick = ConvertToVariantCheckClick
      end
      object GroupParametersCheck: TCheckBox
        Left = 129
        Top = 198
        Width = 320
        Height = 17
        Hint = 
          'Check if you want "var a: Integer; var b: Integer" grouped as "v' +
          'ar a, b: Integer;".'
        Caption = 'Group subsequent parameter declarations of same type'
        TabOrder = 7
        OnClick = GroupParametersCheckClick
      end
      object GenerateDWordsCheck: TCheckBox
        Left = 129
        Top = 267
        Width = 320
        Height = 17
        Caption = 'Generate DWORD parameters'
        TabOrder = 8
        OnClick = GenerateDWordsCheckClick
      end
      object GenerateInlineCheck: TCheckBox
        Left = 129
        Top = 290
        Width = 320
        Height = 17
        Caption = 'Generate inline directives'
        TabOrder = 9
        OnClick = GenerateInlineCheckClick
      end
    end
  end
end
