{                                                                           }
{ File:       ConvertHeaderDlg.pas                                          }
{ Function:   Dialog for Add Header option of API Conversion Package        }
{ Language:   Delphi for Win32                                              }
{ Author:     Rudy Velthuis                                                 }
{ Copyright:  (c) 2005 Rudy Velthuis                                        }
{ Disclaimer: This code is freeware. All rights are reserved.               }
{             This code is provided as is, expressly without a warranty     }
{             of any kind. You use it at your own risk.                     }
{                                                                           }
{             If you use this code, please credit me.                       }
{                                                                           }

unit ConvertHeaderDlg;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, ExtCtrls, Grids, ValEdit;

type
  THeaderDlg = class(TForm)
    HeaderValueList: TValueListEditor;
    CancelButton: TButton;
    OkButton: TButton;
    HeaderValuesCaption: TLabel;
    procedure FormClose(Sender: TObject; var Action: TCloseAction);
    procedure FormCreate(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  HeaderDlg: THeaderDlg;

implementation

{$R *.dfm}

uses ConvertConsts, ConvertUtils;

procedure THeaderDlg.FormCreate(Sender: TObject);
begin
  ReadIniValues(HeaderSection, HeaderValueList.Strings);
end;

procedure THeaderDlg.FormClose(Sender: TObject; var Action: TCloseAction);
begin
  if IsPositiveResult(ModalResult) then
    WriteIniValues(HeaderSection, HeaderValueList.Strings);
end;

end.
